Name:           perl-Expect
Version:        1.35
Release:        7
Summary:        EAutomate Interactions with Command Line Programs That Expose a Text Term
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Expect
Source0:        https://cpan.metacpan.org/authors/id/J/JA/JACOBY/Expect-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils findutils make perl-interpreter perl-generators sed perl(Carp) perl(Errno)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.64 perl(Exporter) perl(Fcntl) perl(IO::Handle)
BuildRequires:  perl(IO::Pty) >= 1.11 perl(IO::Tty) >= 1.11 perl(POSIX) perl(strict) perl(vars)
BuildRequires:  perl(warnings) perl(Config) perl(File::Temp) perl(Test::Builder) perl(Test::More) >= 0.98
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
See an explanation of at http://code-maven.com/expect

The Expect module is a successor of Comm.pl and a descendent of Chat.pl. It
more closely resembles the Tcl Expect language than its predecessors. It
does not contain any of the networking code found in Comm.pl. I suspect
this would be obsolete anyway given the advent of IO::Socket and external
tools such as netcat.

%package help
Summary:        Documentation for perl-Expect

%description help
Documentation for perl-Expect.

%prep
%autosetup -n Expect-%{version} -p1
sed -i 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' examples/kibitz/kibitz tutorial/[2-6].*
chmod -c a-x examples/ssh.pl examples/kibitz/kibitz tutorial/[2-6].*

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README.md examples/ tutorial/
%license LICENSE
%{perl_vendorlib}/Expect.pm

%files help
%{_mandir}/man3/Expect.3*

%changelog
* Tue Feb 25  2020 duyeyu <duyeyu@huawei.com> - 1.35-7
- Package init

